@property --radius {
  syntax: '<percentage>';
  inherits: true;
  initial-value: -5%;
}

@keyframes scene-transition {
  to {
    --radius: 105%;
  }
}

.body {
  width: 100vw;
  height: 100%;

  -webkit-mask-image: radial-gradient(circle,
      #fff calc(var(--radius) - 5%),
      transparent calc(var(--radius) + 5%));
  z-index: 1;
  animation: scene-transition 2s linear forwards;
}